=== debian/changelog ===
apfsprogs (0+git20210928-2) unstable; urgency=medium

  * Source only upload.

 -- Gürkan Myczko <tar@debian.org>  Sun, 23 Jan 2022 21:13:34 +0100

apfsprogs (0+git20210928-1) unstable; urgency=medium

  * Initial release (Closes: #995246)

 -- Gürkan Myczko <tar@debian.org>  Thu, 20 Jan 2022 19:56:20 +0100
