=== debian/control ===
Source: apfsprogs
Section: admin
Priority: optional
Maintainer: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: https://github.com/linux-apfs/apfsprogs
Vcs-Browser: https://salsa.debian.org/debian/apfsprogs
Vcs-Git: https://salsa.debian.org/debian/apfsprogs.git
Rules-Requires-Root: no

Package: apfsprogs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: experimental APFS tools for Linux
 This is a suite of userland software to work with the Apple File System on
 Linux. For now only mkfs and fsck tools are available, both functional but
 lacking in features. Compatibility with the Apple implementations has barely
 been tested; please exercise caution.
