=== debian/changelog ===
apfsprogs (0+git20220815+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: update years.
  * Bump standards version to 4.6.1.

 -- Gürkan Myczko <tar@debian.org>  Mon, 15 Aug 2022 16:10:53 +0200
