## apfsprogs 0+git20221028+ds

=== apfsck/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SRCS = apfsck.c btree.c dir.c extents.c htable.c \
+SRCS = apfsck.c btree.c crypto.c dir.c extents.c htable.c \
        inode.c key.c object.c snapshot.c spaceman.c super.c xattr.c
 OBJS = $(SRCS:.c=.o)
 DEPS = $(SRCS:.c=.d)
@@ -16,7 +16,7 @@
 
 apfsck: $(OBJS) $(LIBRARY)
 	@echo '  Linking...'
-	@gcc $(CFLAGS) $(LDFLAGS) -o apfsck $(OBJS) $(LIBRARY)
+	@$(CC) $(CFLAGS) $(LDFLAGS) -o apfsck $(OBJS) $(LIBRARY)
 	@echo '  Build complete'
 
 # Build the common libraries
@@ -28,7 +28,7 @@
 
 %.o: %.c
 	@echo '  Compiling $<...'
-	@gcc $(CFLAGS) -o $@ -MMD -MP -c $<
+	@$(CC) $(CFLAGS) -o $@ -MMD -MP -c $<
 ifdef SPARSE_VERSION
 	@sparse $(CFLAGS) $<
 endif
