=== lib/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SRCS = checksum.c parameters.c unicode.c
+SRCS = aes.c checksum.c parameters.c unicode.c
 OBJS = $(SRCS:.c=.o)
 DEPS = $(SRCS:.c=.d)
 
@@ -8,11 +8,11 @@
 
 libapfs.a: $(OBJS)
 	@echo '  Assembling library archive...'
-	@ar rcs $@ $^
+	@$(AR) rcs $@ $^
 
 %.o: %.c
 	@echo '  Compiling $<...'
-	@gcc $(CFLAGS) -o $@ -MMD -MP -c $<
+	@$(CC) $(CFLAGS) -o $@ -MMD -MP -c $<
 ifdef SPARSE_VERSION
 	@sparse $(CFLAGS) $<
 endif
