=== debian/changelog ===
apfsprogs (0+git20221028+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Fri, 28 Oct 2022 15:45:23 +0200
