=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/linux-apfs/apfsprogs
 Vcs-Browser: https://salsa.debian.org/debian/apfsprogs
 Vcs-Git: https://salsa.debian.org/debian/apfsprogs.git
