=== apfsck/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SRCS = apfsck.c btree.c crypto.c dir.c extents.c htable.c \
+SRCS = apfsck.c btree.c compress.c crypto.c dir.c extents.c htable.c \
        inode.c key.c object.c snapshot.c spaceman.c super.c xattr.c
 OBJS = $(SRCS:.c=.o)
 DEPS = $(SRCS:.c=.d)
