=== debian/changelog ===
apfsprogs (0+git20230206+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.2.
  * d/copyright: update years.

 -- Gürkan Myczko <tar@debian.org>  Mon, 06 Feb 2023 13:29:10 +0100
