## apfsprogs 0+git20230807+ds

=== apfs-snap/Makefile ===
--- 
+++ 
@@ -12,12 +12,12 @@
 
 apfs-snap: $(OBJS)
 	@echo '  Linking...'
-	@gcc $(CFLAGS) $(LDFLAGS) -o apfs-snap $(OBJS)
+	@$(CC) $(CFLAGS) $(LDFLAGS) -o apfs-snap $(OBJS)
 	@echo '  Build complete'
 
 %.o: %.c
 	@echo '  Compiling $<...'
-	@gcc $(CFLAGS) -o $@ -MMD -MP -c $<
+	@$(CC) $(CFLAGS) -o $@ -MMD -MP -c $<
 ifdef SPARSE_VERSION
 	@sparse $(CFLAGS) $<
 endif
