=== debian/changelog ===
apfsprogs (0+git20230807+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: also build apfs-snap.
  * d/control: Vcs fields, move to Debian Bananas team.

 -- Gürkan Myczko <tar@debian.org>  Mon, 07 Aug 2023 08:29:29 +0200
