=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 override_dh_auto_build:
 	$(MAKE) -C mkapfs
 	$(MAKE) -C apfsck
+	$(MAKE) -C apfs-snap
 
 override_dh_auto_install:
 	@echo skip install target
