## apfsprogs 0+git20231203+ds

=== debian/changelog ===
apfsprogs (0+git20231203+ds-1) unstable; urgency=medium

  * New upstream version.
  * Apply patch to fix FTCBS, thanks Helmut Grohne. (Closes: #1050651)
  * d/clean: updated.

 -- Gürkan Myczko <tar@debian.org>  Sun, 03 Dec 2023 19:39:06 +0100
