=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.6.2
 Homepage: https://github.com/linux-apfs/apfsprogs
-Vcs-Browser: https://salsa.debian.org/debian/apfsprogs
-Vcs-Git: https://salsa.debian.org/debian/apfsprogs.git
+Vcs-Browser: https://salsa.debian.org/bananas-team/apfsprogs
+Vcs-Git: https://salsa.debian.org/bananas-team/apfsprogs.git
 Rules-Requires-Root: no
 
 Package: apfsprogs
