=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,9 @@
 	dh $@
 
 override_dh_auto_build:
-	$(MAKE) -C mkapfs
-	$(MAKE) -C apfsck
-	$(MAKE) -C apfs-snap
+	dh_auto_build -D mkapfs
+	dh_auto_build -D apfsck
+	dh_auto_build -D apfs-snap
 
 override_dh_auto_install:
 	@echo skip install target
