## apfsprogs 0.2.0

=== mkapfs/Makefile ===
--- 
+++ 
@@ -10,6 +10,8 @@
 MANDIR = /share/man/man8
 
 SPARSE_VERSION := $(shell sparse --version 2>/dev/null)
+
+GIT_COMMIT = $(shell git describe --always HEAD | tail -c 9)
 
 override CFLAGS += -Wall -Wno-address-of-packed-member -fno-strict-aliasing -I$(CURDIR)/../include
 
@@ -32,10 +34,14 @@
 	@sparse $(CFLAGS) $<
 endif
 
+mkapfs.o super.o: version.h
+version.h: FORCE
+	@printf '#define GIT_COMMIT\t"%s"\n' $(GIT_COMMIT) > version.h
+
 -include $(DEPS)
 
 clean:
-	rm -f $(OBJS) $(DEPS) mkapfs
+	rm -f $(OBJS) $(DEPS) mkapfs version.h
 install:
 	install -d $(DESTDIR)$(BINDIR)
 	install -t $(DESTDIR)$(BINDIR) mkapfs
