=== debian/changelog ===
apfsprogs (0.2.0-1) unstable; urgency=medium

  * New upstream version.
  * d/install: add apfs-label.
  * d/manpages: add apfs-label.
  * d/clean: updated.

 -- Alex Myczko <tar@debian.org>  Thu, 07 Nov 2024 11:44:57 +0000

apfsprogs (0+git20231203+ds-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Sun, 14 Jul 2024 16:19:54 +0000
