=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: apfsprogs
 Section: admin
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/linux-apfs/apfsprogs
 Vcs-Browser: https://salsa.debian.org/bananas-team/apfsprogs
 Vcs-Git: https://salsa.debian.org/bananas-team/apfsprogs.git
