=== apfs-snap/Makefile ===
--- 
+++ 
@@ -7,6 +7,8 @@
 MANDIR = /share/man/man8
 
 SPARSE_VERSION := $(shell sparse --version 2>/dev/null)
+
+GIT_COMMIT = $(shell git describe --always HEAD | tail -c 9)
 
 override CFLAGS += -Wall -Wno-address-of-packed-member -fno-strict-aliasing
 
@@ -22,10 +24,15 @@
 	@sparse $(CFLAGS) $<
 endif
 
+apfs-snap.o: version.h
+version.h: FORCE
+	@printf '#define GIT_COMMIT\t"%s"\n' $(GIT_COMMIT) > version.h
+FORCE:
+
 -include $(DEPS)
 
 clean:
-	rm -f $(OBJS) $(DEPS) apfs-snap
+	rm -f $(OBJS) $(DEPS) apfs-snap version.h
 install:
 	install -d $(DESTDIR)$(BINDIR)
 	install -t $(DESTDIR)$(BINDIR) apfs-snap
