=== apfsck/Makefile ===
--- 
+++ 
@@ -11,6 +11,8 @@
 MANDIR = /share/man/man8
 
 SPARSE_VERSION := $(shell sparse --version 2>/dev/null)
+
+GIT_COMMIT = $(shell git describe --always HEAD | tail -c 9)
 
 override CFLAGS += -Wall -Wno-address-of-packed-member -fno-strict-aliasing -I$(CURDIR)/../include
 
@@ -33,10 +35,14 @@
 	@sparse $(CFLAGS) $<
 endif
 
+apfsck.o: version.h
+version.h: FORCE
+	@printf '#define GIT_COMMIT\t"%s"\n' $(GIT_COMMIT) > version.h
+
 -include $(DEPS)
 
 clean:
-	rm -f $(OBJS) $(DEPS) apfsck
+	rm -f $(OBJS) $(DEPS) apfsck version.h
 install:
 	install -d $(DESTDIR)$(BINDIR)
 	install -t $(DESTDIR)$(BINDIR) apfsck
