=== debian/changelog ===
apfsprogs (0.2.1-2) unstable; urgency=medium

  * Upload to sid.

 -- Alex Myczko <tar@debian.org>  Fri, 05 Sep 2025 10:13:50 -0500

apfsprogs (0.2.1-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.2.

 -- Alex Myczko <tar@debian.org>  Mon, 07 Jul 2025 09:58:33 +0000
