=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/linux-apfs/apfsprogs
 Vcs-Browser: https://salsa.debian.org/bananas-team/apfsprogs
 Vcs-Git: https://salsa.debian.org/bananas-team/apfsprogs.git
