=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	dh_auto_build -D mkapfs
 	dh_auto_build -D apfsck
 	dh_auto_build -D apfs-snap
+	dh_auto_build -D apfs-label
 
 override_dh_auto_install:
 	@echo skip install target
